{% extends 'admin/_layout/layout_admin.html.twig' %}

{% block title %}Create a customer {{ parent() }}{% endblock %}

{% block content %}

    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Create a customer</h1>
    </div>

    {% embed 'admin/_component/flash.html.twig' %}{% endembed %}

    {{ form_start(createCustomerForm) }}
    {{ form_rest(createCustomerForm) }}
    <button type="submit" class="btn btn-primary">Create</button>
    {{ form_end(createCustomerForm) }}

    <h2 class="mt-5">Customer List</h2>
    <div class="table-responsive">
        <table class="table table-striped table-sm">
            <thead>
            <tr>
                <th>#</th>
                <th>Email Address</th>
                <th>Full Name</th>
                <th>Created On</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>

            {% for customer in customers %}
            <tr>
                <td>{{ customer.customerId }}</td>
                <td>{{ customer.emailAddress }}</td>
                <td>{{ customer.fullName }}</td>
                <td>{{ customer.createdAt | date('d-m-Y H:i:s') }}</td>
                <td><a href="#">See user associated to this customer</a></td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
